save_figures = 0;

disp('Plotting exact solution:');

dx = x_l:0.01:x_u; dy = y_l:0.01:y_u; [X,Y] = meshgrid(dx,dy);

fig_ES = figure('Name','Exact solution');
surf(dx, dy, IC(X - a_advec * T,Y - b_advec * T), 'EdgeColor', 'none');
xlabel('x'); ylabel('y'); zlabel('u');
colorbar('Location','EastOutside');
view(0, 90);
grid on;
axis equal;
xlim(x_axis_limits); ylim(y_axis_limits);

if save_figures == 1
    filename_string = 'Advection2D_exact_solution';
    saveas(fig_ES,filename_string,'pdf');
    saveas(fig_ES,filename_string,'png');
end